Again - Can't update from 3.1.1 to 3.1.2

Get help with installation and running phpBB 3.1.x here. Please do not post bug reports, feature requests, or extension related questions here.
Scam Warning
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

NOTE: phpBB 3.1.x is at its End of Life stage and support will NOT be provided after July 1st, 2018.
Locked
rotorbloke
Registered User
Posts: 17
Joined: Tue Feb 15, 2011 11:38 pm

Again - Can't update from 3.1.1 to 3.1.2

Post by rotorbloke » Sat Nov 29, 2014 7:56 am

Error when updating 3.1.1 to 3.1.2:
Support Request Template
What version of phpBB are you using? phpBB 3.1.1
What is your board's URL? No use as it's there's no DNS pointing to it yet.
Who do you host your board with? Servers Australia
How did you install your board? Download Zip package from phpBB.com
What is the most recent action performed on your board? New install
Is registration required to reproduce this issue? No
Do you have any MODs installed? No
What version of phpBB3 did you update from? phpBB 3.1.1
What MODs do you have installed?
What styles do you currently have installed? subsilver
What language(s) is your board currently using? English
Which database type/version are you using? MySQL 5.4.40.
What is your level of experience? Well versed with phpBB (9 years).
When did your problem begin? Today! Tried updating from 3.1.1 to 3.1.2.
Please describe your problem. As below:

Code: Select all

General Error
SQL ERROR [ mysqli ]

Access denied for user '****'@'localhost' (using password: YES) [1045]

BACKTRACE

FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()

FILE: [ROOT]/phpbb/db/driver/driver.php
I've read everything I could about others with the same issue. I've cleared the cache except index and htaccess. I've purged the cache and sessions. I've re-ftp'd /install and /vendor.
I've tried test.php:

Code: Select all

Connecting to database server
Established connection to database server
Switching to selected database
Successfully switched to selected database
config.php settings are correct
I'm thinking it has something to do with PHP version. I'm running PHP 5.4.34 with MySQL 5.4.40.
User "Boardtalk.com" reverted back to PHP 5.3.3 and updated successfully. I cannot test this theory as the latest 5.3 version available to me is 5.3.29 which cannot run phpBB 3.1.0 and above. PHP 5.6.2 doesn't work for the update either (I'm trying eve-ry-thing).

Hellllp! (Please)...

User avatar
kinerity
Community Team Member
Community Team Member
Posts: 2355
Joined: Mon Sep 01, 2014 1:00 am
Location: sudo rm -rf /
Name: Kailey Truscott
Contact:

Re: Again - Can't update from 3.1.1 to 3.1.2

Post by kinerity » Sat Nov 29, 2014 8:42 am

rotorbloke wrote:User "Boardtalk.com" reverted back to PHP 5.3.3 and updated successfully. I cannot test this theory as the latest 5.3 version available to me is 5.3.29 which cannot run phpBB 3.1.0
5.3.29 is greater than 5.3.3 so go ahead and try that.
Kailey Truscott - Community Team

rotorbloke
Registered User
Posts: 17
Joined: Tue Feb 15, 2011 11:38 pm

Re: Again - Can't update from 3.1.1 to 3.1.2

Post by rotorbloke » Sat Nov 29, 2014 8:47 am

Tried that already, no good. Thanks for the suggestion though (c:

User avatar
Oyabun1
Former Team Member
Posts: 23162
Joined: Sun May 17, 2009 1:05 pm
Location: Australia
Name: Bill

Re: Again - Can't update from 3.1.1 to 3.1.2

Post by Oyabun1 » Sat Nov 29, 2014 9:53 am

If you can, try changing your database password to one that doesn't include the % character.

(This problems has been reported a few times we are not sure of the cause of it yet and consequently the solution.)
                      Support Request Template
3.0.x: Knowledge Base Styles Support MOD Requests
3.1.x: Knowledge BaseStyles SupportExtension Requests

rotorbloke
Registered User
Posts: 17
Joined: Tue Feb 15, 2011 11:38 pm

Re: Again - Can't update from 3.1.1 to 3.1.2

Post by rotorbloke » Sun Nov 30, 2014 3:41 am

Solved! Thanks. It was the % sign in the password problem.

acemi
Registered User
Posts: 40
Joined: Sun Dec 25, 2005 8:51 pm
Location: Istanbul
Contact:

Re: Again - Can't update from 3.1.1 to 3.1.2

Post by acemi » Mon Dec 01, 2014 5:29 pm

That solved it for me too.
Thanks

Locked

Return to “[3.1.x] Support Forum”